@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

.Modal {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: center;

  .modal-wrapper {
    box-shadow: 0 0 15px 5px rgb(0 0 0 / 50%);
    opacity: 1;
    z-index: 200;
    padding-top: 40px;
    padding-bottom: 40px;
  }

  header,
  main,
  footer {
    padding-right: 40px;
    padding-left: 40px;
  }

  main {
    font-size: 14px;
  }

  header {
    font-size: 24px;
    margin-bottom: 20px;
  }

  footer {
    margin-top: 20px;
  }

  & > .backdrop {
    position: absolute;
    background-color: black;
    opacity: 0.2;
  }

  &,
  & > .backdrop {
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 200;
  }
}

@include themify("Modal", $themes) {
  font-family: themed("font-family");

  .modal-wrapper {
    background-color: themed("modal-background");
  }

  header,
  main {
    color: themed("modal-text");
  }
}
